//
//  MotionPanel.swift
//  PermissionWizard
//
//  Created by Sergey Moskvin on 09.11.2020.
//

#if !targetEnvironment(macCatalyst)

import PermissionWizard

@available(iOS 11, *)
final class MotionPanel: Panel<Permission.motion> {
    
    override func configure() {
        super.configure()
        
        addDefaultButtons(checkStatusAction: {
            self.permission.checkStatus { self.notify($0.rawValue) }
        }, requestAccessAction: {
            try! self.permission.requestAccess()
            self.notifyAboutRequestInferiority(tellAnotherWay: true)
        })
    }
    
}

#endif
